Skip to main content
POST
/
api
/
v1
/
auth
/
pricing
/
profiles
Create pricing profile (admin)
curl --request POST \
  --url https://crypto.westminister.tech/api/v1/auth/pricing/profiles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "flow_type": "onramp",
  "asset": "USDT",
  "fee_type": "none",
  "rate_source": "<string>",
  "settlement_side": "customer",
  "network": "<string>",
  "fiat_currency": "KES",
  "fixed_fee": "<string>",
  "percentage_fee_bps": 123,
  "min_fee": "<string>",
  "max_fee": "<string>",
  "spread_bps": 123,
  "is_active": true
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
flow_type
enum<string>
required
Available options:
onramp,
offramp,
p2p,
b2b,
b2b2c
asset
string
required
Example:

"USDT"

fee_type
enum<string>
required
Available options:
none,
fixed,
percentage,
hybrid
rate_source
string
required
settlement_side
enum<string>
required
Available options:
customer,
merchant,
split
network
string

tron or ethereum when scoped

fiat_currency
string
Example:

"KES"

fixed_fee
string
percentage_fee_bps
integer
min_fee
string
max_fee
string
spread_bps
integer
is_active
boolean

Response

Created